> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Abonnements Par Statut



## OpenAPI

````yaml openapi.json get /abonnements/statut/{statut}
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /abonnements/statut/{statut}:
    get:
      tags:
        - Abonnements
        - Abonnements
      summary: Abonnements Par Statut
      operationId: abonnements_par_statut_abonnements_statut__statut__get
      parameters:
        - name: statut
          in: path
          required: true
          schema:
            type: string
            title: Statut
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AbonnementRead'
                title: >-
                  Response Abonnements Par Statut Abonnements Statut  Statut 
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AbonnementRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        marchand_id:
          type: string
          format: uuid
          title: Marchand Id
        montant:
          type: number
          title: Montant
        date_debut:
          type: string
          format: date-time
          title: Date Debut
        date_expiration:
          type: string
          format: date-time
          title: Date Expiration
        statut:
          $ref: '#/components/schemas/StatutAbonnement'
      type: object
      required:
        - id
        - marchand_id
        - montant
        - date_debut
        - date_expiration
        - statut
      title: AbonnementRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StatutAbonnement:
      type: string
      enum:
        - actif
        - expiré
        - suspendu
      title: StatutAbonnement
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.